Skip to main content

Get Admin Dashboard Data

GET 

/v1/admin/dashboard

Get admin dashboard data, requires global admin permissions

Request

Query Parameters

    org_ids uuid[]

    Filter by organization IDs

    product_ids uuid[]

    Filter by product IDs

    environment_ids uuid[]

    Filter by environment IDs

    sandbox_ids uuid[]

    Filter by sandbox IDs

    cursor Cursor

    Default value: 0

    Pagination cursor (Page number)

    page_size Page Size

    Possible values: >= 1 and <= 100

    Default value: 20

    Number of items per page

Responses

Successful Response

Schema

    data

    object[]

    required

  • Array [

  • row_id Row Id (string)required

    Unique identifier for the row

    customer_org Customer Org (string)

    Name of the customer organization

    cust_org_id uuid

    UUID of the customer organization

    grafana_org_id Grafana Org Id (string)

    Grafana organization ID

    customer_product Customer Product (string)

    Name of the customer product

    cust_prod_id uuid

    UUID of the customer product

    prod_unique_name Prod Unique Name (string)

    Unique name of the product

    customer_environment Customer Environment (string)

    Name of the customer environment

    cust_env_id uuid

    UUID of the customer environment

    env_unique_name Env Unique Name (string)

    Unique name of the environment

    customer_sandbox Customer Sandbox (string)

    Name of the customer sandbox

    cust_sand_id uuid

    UUID of the customer sandbox

    base_url uri

    Possible values: non-empty and <= 2083 characters

    Base URL for the sandbox

    custom_url uri

    Possible values: non-empty and <= 2083 characters

    Custom URL for the sandbox, if any

    aks_cluster Aks Cluster (string)

    Name of the AKS cluster

    argocd_link uri

    Possible values: non-empty and <= 2083 characters

    Link to ArgoCD

    vault_link uri

    Possible values: non-empty and <= 2083 characters

    Link to Vault

    db_name Db Name (string)

    Name of the database

    db_connection_string Db Connection String (string)

    Database connection string

    blob_storage_info Blob Storage Info (string)

    Information about blob storage

    fabric_workspace_url uri

    Possible values: non-empty and <= 2083 characters

    URL of the Fabric workspace

    fabric_sql_endpoint_url uri

    Possible values: non-empty and <= 2083 characters

    URL of the Fabric SQL endpoint

    tableau_project_folder Tableau Project Folder (string)

    Tableau project folder path

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...